package com.upc.pbe.upcnews;

import java.util.ArrayList;

public class ParentList
{
	private String ID;
	private String Type, Name;
	private boolean Default; //Estos 3 ultimos son para los ext-x-media, los ext-x-stream lo IGNORAN
	private ArrayList<Video> lists; //per cada qualitat


	public ParentList(String ID)
	{
		this.ID = ID;
		Type = "";
		Name = "";
		Default = false;
		lists = new ArrayList<Video>(); //Lista de CALIDADES		
	}

	public String getID()
	{
		return ID;
	}
	
	public void setID(String id)
	{
		ID = id;
	}

	
	public boolean getDefault()
	{
		return Default;
	}
	public void setDefault(boolean d)
	{
		Default = d;
	}
	
	public String getType()
	{
		return Type;
	}
	public void setType(String t)
	{
		Type = t;
	}
	
	public String getName()
	{
		return Name;
	}
	public void setName(String n)
	{
		Name = n;
	}
	
	public ArrayList<Video> getLists()
	{
		return lists;
	}
}